﻿/*  Author:     Ben Hall
 *  File:       BaseItem.cs
 *  Date:       4/28/2011
 *  
 *  Purpose:    BaseItem.cs is an abstract class meant to be extended by the Item, Equipment
 *              and Material classes.  It contains simple variables shared by each type, like
 *              a name and item value.
 */

using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace OnlineGame
{
    public abstract class BaseItem
    {
        protected String itemName;
        protected int itemValue;

        public String GetItemName()
        {
            return this.itemName;
        }

        public int GetItemValue()
        {
            return this.itemValue;
        }

    }
}
